org.bouncycastle.asn1.esf

## Class SignaturePolicyIdentifier

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.esf.SignaturePolicyIdentifier

All Implemented Interfaces:
  DEREncodable

    public class SignaturePolicyIdentifier
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SignaturePolicyIdentifier()`
`SignaturePolicyIdentifier(SignaturePolicyId signaturePolicyId)`

### Method Summary

Methods
`static SignaturePolicyIdentifier` `getInstance(java.lang.Object obj)`
`SignaturePolicyId` `getSignaturePolicyId()`
`boolean` `isSignaturePolicyImplied()`
`DERObject` `toASN1Object()` SignaturePolicyIdentifier ::= CHOICE{ SignaturePolicyId SignaturePolicyId, SignaturePolicyImplied SignaturePolicyImplied } SignaturePolicyImplied ::= NULL

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SignaturePolicyIdentifier

    public SignaturePolicyIdentifier()

#### SignaturePolicyIdentifier

    public SignaturePolicyIdentifier(SignaturePolicyId signaturePolicyId)

### Method Detail

#### getInstance

    public static SignaturePolicyIdentifier getInstance(java.lang.Object obj)

#### getSignaturePolicyId

    public SignaturePolicyId getSignaturePolicyId()

#### isSignaturePolicyImplied

    public boolean isSignaturePolicyImplied()

#### toASN1Object

    public DERObject toASN1Object()

     SignaturePolicyIdentifier ::= CHOICE{
         SignaturePolicyId         SignaturePolicyId,
         SignaturePolicyImplied    SignaturePolicyImplied }

     SignaturePolicyImplied ::= NULL

Specified by:
  `toASN1Object` in class `ASN1Encodable`